Subject: Re: [linux-fbdev] Re: Xfree86-4.0.1, Lombard, Mach64 driver

From: "Petr Vandrovec" <[email-masked]>
Date: Fri, 29 Sep 2000 18:31:36 MET-1

On 29 Sep 00 at 13:05, Geert Uytterhoeven wrote:
> The main thing we need to be careful about is that the xor mask is different
> for truecolor and directcolor visuals: truecolor needs an `all ones' mask,
> while directcolor needs `15' for each color component (drivers that incorrectly
> report a directcolor instead of truecolor visual will easily be identified).

What about killing directcolor completely, and using directcolor capable
hardware as truecolor one with per-fb global gamma correction table?
(as windows do...)

List of modified files is shorter then ;-)
                                                        Petr

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/